Subject: WIP

From: [email-masked]
Date: Sun, 11 Sep 2022 15:28:26 +0200 (CEST)

Finally I found the time for building this package. I removed those generated flags and added
native-inputs autoconf automake. Looks like there is an error in configure.ac file

But during build I get this error:
./configure: line 4921: syntax error near unexpected token `$flag,'
./configure: line 4921: `    JAPHAR_GREP_CFLAGS($flag,  CFLAGS="$CFLAGS $flag" )'
error: in phase 'configure': uncaught exception:
%exception #<&invoke-error program: "/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/bash" arguments: ("./configure" "CONFIG_SHELL=/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/bash" "SHELL=/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/bash" "--prefix=/gnu/store/skdzrcbnmvafa5zk2i0jxw6sxl2b7hz9-chrpath-0.16" "--enable-fast-install" "--build=x86_64-unknown-linux-gnu") exit-status: 2 term-signal: #f stop-signal: #f>
phase `configure' failed after 1.5 seconds

I checked configure.ac file and I found this:
if eval "test x$GCC = xyes"; then
  for flag in \
      -W \
      -Wall \
      -Wcast-align \
      -Wcast-qual \
      -Wcomments \
      -Wmissing-declarations \
      -Wmissing-prototypes \
      -Wpointer-arith \
      -Wreturn-type \
      -Wstrict-prototypes
  do
    JAPHAR_GREP_CFLAGS($flag, [ CFLAGS="$CFLAGS $flag" ])
  done
fi

Have you idea what can be wrong here?

Best Regards,
Daniel